Skip to main content
GET
/
api
/
v1
/
schedules
/
{id}
/
executions
Get execution history
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/schedules/{id}/executions \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "executions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "pending",
      "completed_at": "2023-11-07T05:31:56Z",
      "error": "<string>",
      "scheduled_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "task_id": "<string>"
    }
  ],
  "limit": 123,
  "offset": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

id
string<uuid>
required

Schedule ID

Query Parameters

limit
integer
default:50

Maximum number of executions to return

Required range: 1 <= x <= 200
offset
integer
default:0

Offset for pagination

Required range: x >= 0

Response

Execution history

count
integer
required
executions
object[]
required
limit
integer
required
offset
integer
required